config = """# Generated by Groundwork at ${timestamp}
# Celery configuration for ${project_name}

BROKER_URL = ${queue_broker}
CELERY_RESULT_BACKEND = ${queue_backend}
CELERY_MAX_CACHED_RESULTS = ${queue_max_cached_results}
CELERYD_CONCURRENCY = ${queue_workers}
CELERY_ACCEPT_CONTENT = ${queue_accept_content}
# CELERYBEAT_SCHEDULE = ${queue_schedule}
"""

supervisor = """; Generated by Groundwork at ${timestamp}
; Supervisor configuration to manage Celery for ${project_name}

[program:queue]
command=${project_env}/bin/celery worker --app ${queue_instance} --logfile=${queue_accesslog}
environment=PATH="${project_env}/bin",PYTHONIOENCODING="utf-8",LC_ALL="en_US.UTF-8",LANG="en_US.UTF-8",LANGUAGE="en_US.UTF-8"
directory=${project_root}
user=${user}
redirect_stderr=true
autostart=true
autorestart=true
"""

upstart = """# Generated by Groundwork at ${timestamp}
# Upstart configuration to manage Celery for ${project_name}

author "${user}"
description "Manages Celery for ${project_name}"
start on starting ${project_name}
stop on stopping ${project_name}
respawn
console log
setuid ${user}
setgid ${user}
chdir ${project_root}
exec ${project_env}/bin/celery worker --app ${queue_instance} --logfile=${queue_accesslog}
"""
