config = """# Generated by Groundwork at ${timestamp}
# Gunicorn configuration for ${project_name}

bind = '${app_location}:${app_port}'
workers = ${app_workers}
timeout = ${app_timeout}
limit_request_line = 0
accesslog = '${app_accesslog}'
#errorlog = '${app_errorlog}'
"""

supervisor = """; Generated by Groundwork at ${timestamp}
; Supervisor configuration to manage Gunicorn for ${project_name}

[program:app]
command=${project_env}/bin/gunicorn ${app_instance} --config ${app_config_file}
environment=PATH="${project_env}/bin",PYTHONIOENCODING="utf-8",LC_ALL="en_US.UTF-8",LANG="en_US.UTF-8",LANGUAGE="en_US.UTF-8"
directory=${project_root}
user=${user}
redirect_stderr=true
autostart=true
autorestart=true
"""

upstart = """# Generated by Groundwork at ${timestamp}
# Upstart configuration to manage Gunicorn for ${project_name}

author "${user}"
description "Manages Gunicorn for ${project_name}"
start on (filesystem)
stop on runlevel [016]
respawn
console log
setuid ${user}
setgid ${user}
chdir ${project_root}
exec ${project_env}/bin/gunicorn ${app_instance} --config ${app_config}
"""
